[
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Lähetettävät\",\n\t\"_prf_name_id\": \"_qry_exe_wma_Sql Lähetettävät\",\n\t\"name\": \"Sql Lähetettävät\",\n\t\"table\": \"wma\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"[Work_Material_Actual]Transfer_id:=[Work_Order]Sales_Order_id+\\\"-\\\"+String([Work_Order]Sales_Order_Row_id;\\\"000\\\")+\\\"#\\\"+[Work_Material_Actual]Record_ID\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tallenna_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wma_Sql Tallenna_siirtotunnus\",\n\t\"name\": \"Sql Tallenna_siirtotunnus\",\n\t\"table\": \"wma\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_txt:=\\\"\\\"\\n_qry Fld (wma_kTbl;wma_kTransfer_id ;\\\"=\\\";->_txt;\\\"\\\";kFalse;kFalse )\\n\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tyhjä_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wma_Sql Tyhjä_siirtotunnus\",\n\t\"name\": \"Sql Tyhjä_siirtotunnus\",\n\t\"table\": \"wma\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_rel AUTOMATIC_ONE (kTrue )\\n_txt:=\\\"\\\"\\n_qry Fld (wme_kTbl ;w_kRecord_ID ;\\\"=\\\";->_txt;\\\"\\\";kFalse )\\n_rel AUTOMATIC_ONE (kPrevious )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Orphan\",\n\t\"_prf_name_id\": \"_qry_exe_wme_Orphan\",\n\t\"name\": \"Orphan\",\n\t\"table\": \"wme\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_sel ALL_RECS (pr_kTbl)\\n_sel RELATE MANY SELECTION (wme_kRaw_Material_id)\\n_sel SELECTED_NOT (wme_kTbl)\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_OrphanMaterial\",\n\t\"_prf_name_id\": \"_qry_exe_wme_OrphanMaterial\",\n\t\"name\": \"OrphanMaterial\",\n\t\"table\": \"wme\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Lähetettävät\",\n\t\"_prf_name_id\": \"_qry_exe_wme_Sql Lähetettävät\",\n\t\"name\": \"Sql Lähetettävät\",\n\t\"table\": \"wme\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"[Work_Material_Estimated]Transfer_id:=[Work_Material_Estimated]Record_ID\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tallenna_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wme_Sql Tallenna_siirtotunnus\",\n\t\"name\": \"Sql Tallenna_siirtotunnus\",\n\t\"table\": \"wme\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_txt:=\\\"\\\"\\n_qry Fld (wme_kTbl;wme_kTransfer_id ;\\\"=\\\";->_txt;\\\"\\\";kFalse;kFalse )\\n\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tyhjä_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wme_Sql Tyhjä_siirtotunnus\",\n\t\"name\": \"Sql Tyhjä_siirtotunnus\",\n\t\"table\": \"wme\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_txt:=\\\"-1\\\"\\n_qry Fld (wpa_kTbl;wpa_kType_ ;\\\"=\\\";->_txt;\\\"\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Lähetettävät\",\n\t\"_prf_name_id\": \"_qry_exe_wpa_Sql Lähetettävät\",\n\t\"name\": \"Sql Lähetettävät\",\n\t\"table\": \"wpa\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"[Work_Phase_Actual]Transfer_id:=[Work_Order]Sales_Order_id+\\\"-\\\"+String([Work_Order]Sales_Order_Row_id;\\\"000\\\")+\\\"#\\\"+[Work_Phase_Actual]Record_ID\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tallenna_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wpa_Sql Tallenna_siirtotunnus\",\n\t\"name\": \"Sql Tallenna_siirtotunnus\",\n\t\"table\": \"wpa\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_txt:=\\\"\\\"\\n_qry Fld (wpa_kTbl;wpa_kTransfer_id ;\\\"=\\\";->_txt;\\\"\\\";kFalse )\\n\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tyhjä_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wpa_Sql Tyhjä_siirtotunnus\",\n\t\"name\": \"Sql Tyhjä_siirtotunnus\",\n\t\"table\": \"wpa\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Lähetettävät\",\n\t\"_prf_name_id\": \"_qry_exe_wpe_Sql Lähetettävät\",\n\t\"name\": \"Sql Lähetettävät\",\n\t\"table\": \"wpe\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"[Work_Phase_Estimated]Transfer_id:=[Work_Phase_Estimated]Record_ID\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tallenna_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wpe_Sql Tallenna_siirtotunnus\",\n\t\"name\": \"Sql Tallenna_siirtotunnus\",\n\t\"table\": \"wpe\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_txt:=\\\"\\\"\\n_qry Fld (wpe_kTbl;wpe_kTransfer_id ;\\\"=\\\";->_txt;\\\"\\\";kFalse;kFalse )\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Sql Tyhjä_siirtotunnus\",\n\t\"_prf_name_id\": \"_qry_exe_wpe_Sql Tyhjä_siirtotunnus\",\n\t\"name\": \"Sql Tyhjä_siirtotunnus\",\n\t\"table\": \"wpe\"\n}",
	"174. ERROR, query parse failed:             GOTO_RECORD(Product, pr_alRecord[_i])",
	"177. ERROR, query parse failed:             GOTO_RECORD(Product, pr_alRecord[_i])",
	"174. ERROR, query parse failed:             GOTO_RECORD(Product, pr_alRecord[_i])",
	"177. ERROR, query parse failed:             GOTO_RECORD(Product, pr_alRecord[_i])",
	"174. ERROR, query parse failed:             GOTO_RECORD(Product, pr_alRecord[_i])",
	"177. ERROR, query parse failed:             GOTO_RECORD(Product, pr_alRecord[_i])",
	"ERROR: query table or code for table does not exist: {\n\t\"_prf_text_value\": \"_err MESSAGE@\\n__test_exe\\nALERT@\\nBEEP\\nwo_WHOLE_STRUCTURE_FIND@\\nwo_LOWER_STRUCTURE_FIND@\\npr_ @\\n_lnk_ @\\nso_HAE@\\nsor_HAE@\\npo_HAE@\\npor_HAE@\\n_ord@\\n_qry@\\n_sel RELATE@\\n_sel ALL_RECS@\\n_sel SELECTED_NOT@\\n_sel SEL_TO_ARR@\\n_sel_ SEL_TO_ARR@\\n_rel AUTOMATIC_ONE@\\n_set@\\n_txt@\\n_str@\\n_real@\\n_long@\\n_date@\\n_time@\\n_bool@\\n_ptr:=@\\n_ptr2:=@\\n_at@\\n_al@\\nIf@\\nElse@\\nEnd @\\nFOR@\\nCase of\\nCOMPILER@\\n\\n//@\\n`@\\n_info_@\\n_firm @\\nzz_@\\nARRAY @\\nC_@\\nxapp TblRun@\\n_el RUN@\\nwo_ @\\nstpa_ @\\n_fo SEL_USE@\\n$@\\nwos_ OPEN_QRY@\\n_prf_ JSON@\\n\",\n\t\"execute\": true,\n\t\"_prf_name_id\": \"_qry_exe_LegalCommands\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=0\\n_qry Fld (0;wlg_kState;\\\"=\\\";->_long;\\\"*\\\";kFalse )  \\n_long:=1\\n_qry Fld (0;wlg_kType_;\\\"=\\\";->_long;\\\"&\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Aktiiviset_solut\",\n\t\"_prf_name_id\": \"_qry_exe_wlg_Aktiiviset_solut\",\n\t\"name\": \"Aktiiviset_solut\",\n\t\"table\": \"wlg\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=0\\n_qry Fld (0;wlg_kState;\\\"=\\\";->_long;\\\"\\\";kFalse )  \",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Aktiiviset\",\n\t\"_prf_name_id\": \"_qry_exe_wlg_Aktiiviset\",\n\t\"name\": \"Aktiiviset\",\n\t\"table\": \"wlg\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_sel ALL_RECS(wlg_kTbl)\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Kaikki\",\n\t\"_prf_name_id\": \"_qry_exe_wlg_Kaikki\",\n\t\"name\": \"Kaikki\",\n\t\"table\": \"wlg\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=0\\n_qry Fld (0;wlg_kState;\\\"=\\\";->_long;\\\"*\\\";kFalse )  \\n_long:=0\\n_qry Fld (0;wlg_kType_;\\\"=\\\";->_long;\\\"&*\\\";kFalse )  \\n_bool:=False\\n_qry Fld (0;wlg_kSubcontract;\\\"=\\\";->_bool;\\\"&*\\\";kFalse )  \\n_txt:=\\\"RAAKA_AINE\\\"\\n_qry Fld (0;wlg_kWork_Load_Group_ID;\\\"#\\\";->_txt;\\\"&\\\";kFalse )  \",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Aktiiviset_omat\",\n\t\"_prf_name_id\": \"_qry_exe_wlg_Aktiiviset_omat\",\n\t\"name\": \"Aktiiviset_omat\",\n\t\"table\": \"wlg\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_bool:=True\\n_qry Fld (0;wlg_kSubcontract;\\\"=\\\";->_bool;\\\"\\\";kFalse )  \",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Alihankinnat\",\n\t\"_prf_name_id\": \"_qry_exe_wlg_Alihankinnat\",\n\t\"name\": \"Alihankinnat\",\n\t\"table\": \"wlg\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=0\\n_qry Fld (0;wlg_kState;\\\"<\\\";->_long;\\\"\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Ei_aktiiviset\",\n\t\"_prf_name_id\": \"_qry_exe_wlg_Ei_aktiiviset\",\n\t\"name\": \"Ei_aktiiviset\",\n\t\"table\": \"wlg\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_txt:=\\\"LT\\\"\\n_qry Fld(wpa_kTbl;wo_kState;\\\"#\\\";->_txt;\\\"\\\";kFalse)\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Open\",\n\t\"_prf_name_id\": \"_qry_exe_wpa_Open\",\n\t\"name\": \"Open\",\n\t\"table\": \"wpa\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=0\\n_qry Fld (0;wcap_kType_ ;\\\"=\\\";->_long;\\\"*\\\";kFalse )\\n_long:=0\\n_qry Fld (0;wcap_kState ;\\\">=\\\";->_long;\\\"&\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Yleinen\",\n\t\"_prf_name_id\": \"_qry_exe_wcap_Yleinen\",\n\t\"name\": \"Yleinen\",\n\t\"table\": \"wcap\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=1\\n_qry Fld (0;wcap_kType_ ;\\\"=\\\";->_long;\\\"*\\\";kFalse )\\n_long:=0\\n_qry Fld (0;wcap_kState ;\\\">=\\\";->_long;\\\"&\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Vuoro\",\n\t\"_prf_name_id\": \"_qry_exe_wcap_Vuoro\",\n\t\"name\": \"Vuoro\",\n\t\"table\": \"wcap\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=2\\n_qry Fld (0;wcap_kType_ ;\\\"=\\\";->_long;\\\"*\\\";kFalse )\\n_long:=0\\n_qry Fld (0;wcap_kState ;\\\">=\\\";->_long;\\\"&\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Vuororaja\",\n\t\"_prf_name_id\": \"_qry_exe_wcap_Vuororaja\",\n\t\"name\": \"Vuororaja\",\n\t\"table\": \"wcap\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=3\\n_qry Fld (0;wcap_kType_ ;\\\"=\\\";->_long;\\\"*\\\";kFalse )\\n_long:=0\\n_qry Fld (0;wcap_kState ;\\\">=\\\";->_long;\\\"&\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Työntekijä\",\n\t\"_prf_name_id\": \"_qry_exe_wcap_Työntekijä\",\n\t\"name\": \"Työntekijä\",\n\t\"table\": \"wcap\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=4\\n_qry Fld (0;wcap_kType_ ;\\\"=\\\";->_long;\\\"*\\\";kFalse )\\n_long:=0\\n_qry Fld (0;wcap_kState ;\\\">=\\\";->_long;\\\"&\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Kuormitusryhmä\",\n\t\"_prf_name_id\": \"_qry_exe_wcap_Kuormitusryhmä\",\n\t\"name\": \"Kuormitusryhmä\",\n\t\"table\": \"wcap\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"_long:=0\\n_qry Fld (0;wcap_kState ;\\\"<\\\";->_long;\\\"\\\";kFalse )\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_Ei käytössä\",\n\t\"_prf_name_id\": \"_qry_exe_wcap_Ei käytössä\",\n\t\"name\": \"Ei käytössä\",\n\t\"table\": \"wcap\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"COMPILER_xapp_constant \\nwo_ OPEN_QRY (kFalse)\\n_txt:=ld_kStateLoaded\\n_qry Fld (0;wo_kState;\\\"=\\\";->_txt;\\\"*\\\";kTrue;kFalse)\\n_txt:=\\\"\\\"\\n_qry Fld (0;wo_kWork_Order_ID;\\\"=\\\";->_txt;\\\"&\\\";kTrue;kFalse)\\n_sel RELATE MANY SELECTION (wos_kProduction_Lot)\\n\\n_long:=_fo_ SpecialOrderFld (kSet;wos_kPhase_Critical_Start_Date)\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_OpenNotPrinted\",\n\t\"_prf_name_id\": \"_qry_exe_wos_OpenNotPrinted\",\n\t\"name\": \"OpenNotPrinted\",\n\t\"table\": \"wos\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"COMPILER_xapp_constant \\nwo_ OPEN_QRY (kFalse)\\n_txt:=ld_kStateLoaded\\n_qry Fld (0;wo_kState;\\\"=\\\";->_txt;\\\"*\\\";kTrue;kFalse)\\n_txt:=\\\"\\\"\\n_qry Fld (0;wo_kWork_Order_ID;\\\"=\\\";->_txt;\\\"&\\\";kTrue;kFalse)\\n_sel RELATE MANY SELECTION (wos_kProduction_Lot)\\n_txt:=\\\"UC\\\"\\n_qry Fld (0;wos_kWork_Load_Group_id;\\\"=\\\";->_txt;\\\"\\\";kTrue;kFalse)\\n\\n_long:=_fo_ SpecialOrderFld (kSet;wos_kPhase_Critical_Start_Date)\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_OpenNotPrinted-UC\",\n\t\"_prf_name_id\": \"_qry_exe_wos_OpenNotPrinted-UC\",\n\t\"name\": \"OpenNotPrinted-UC\",\n\t\"table\": \"wos\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"COMPILER_xapp_constant \\nwo_ OPEN_QRY (kFalse)\\n_txt:=ld_kStateLoaded\\n_qry Fld (0;wo_kState;\\\"=\\\";->_txt;\\\"*\\\";kTrue;kFalse)\\n_txt:=\\\"\\\"\\n_qry Fld (0;wo_kWork_Order_ID;\\\"=\\\";->_txt;\\\"&\\\";kTrue;kFalse)\\n_sel RELATE MANY SELECTION (wos_kProduction_Lot)\\n_long:=1\\n_qry Fld (0;wos_kWork_Phase;\\\"=\\\";->_long;\\\"\\\";kTrue;kFalse)\\n\\n_long:=_fo_ SpecialOrderFld (kSet;wos_kPhase_Critical_Start_Date)\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_OpenNotPrinted-vaihe1\",\n\t\"_prf_name_id\": \"_qry_exe_wos_OpenNotPrinted-vaihe1\",\n\t\"name\": \"OpenNotPrinted-vaihe1\",\n\t\"table\": \"wos\"\n}",
	"ERROR: query code for table does not exist: {\n\t\"_prf_text_value\": \"C_LONGINT($$stpa_lUseSelection)\\nc_text($stpa_tTypePallet)\\n$stpa_lUseSelection:=kFalse\\nCOMPILER_stpa\\nIf ($stpa_lUseSelection=kFalse)\\n$stpa_tTypePallet:=stpa_kTypePallet\\n_qry Fld (0;stpa_kType_;\\\"=\\\";->$stpa_tTypePallet;\\\"\\\";kFalse;kFalse)\\nEnd if \\n\\nsor_HAE AVOIMET (False)\\nARRAY TEXT($stpa_atSorSalesOrder;0)\\nARRAY LONGINT($stpa_alSorRow;0)\\nARRAY LONGINT($stpa_alSorPartialRow;0)\\n_sel_ SEL_TO_ARR_THREE (sor_kSales_Order_id;->$stpa_atSorSalesOrder;sor_kRow_Number;->$stpa_alSorRow;sor_kPartial_Delivery_Number;->$stpa_alSorPartialRow)\\n\\n  // generate sales ordewr-row array\\n  // same as variable: sor_pll_sSalesOrder\\n$stpa_lArrSize:=Size of array($stpa_atSorSalesOrder)\\nFor ($stpa_lIndex;1;$stpa_lArrSize)\\nIf ($stpa_alSorPartialRow{$stpa_lIndex}=0)\\n$stpa_alSorPartialRow{$stpa_lIndex}:=1\\nEnd if \\n$stpa_atSorSalesOrder{$stpa_lIndex}:=$stpa_atSorSalesOrder{$stpa_lIndex}+\\\"/\\\"+String($stpa_alSorRow{$stpa_lIndex};\\\"###000\\\")+\\\".\\\"+String($stpa_alSorPartialRow{$stpa_lIndex})\\nEnd for \\n\\n\\nARRAY TEXT($stpa_atSalesOrderRow;0)\\nARRAY TEXT($stpa_atRecordId;0)\\n_sel_ SEL_TO_ARR_TWO (stpa_kOrder_Row;->$stpa_atSalesOrderRow;stpa_kRecord_ID;->$stpa_atRecordId)\\n\\n$stpa_lArrSize:=Size of array($stpa_atSalesOrderRow)\\nARRAY TEXT($stpa_atRecordIdSelected;$stpa_lArrSize)\\n$stpa_lSelectedIndex:=0\\nFor ($stpa_lIndex;1;$stpa_lArrSize)\\nIf (($stpa_atSalesOrderRow{$stpa_lIndex}=\\\"\\\") | (Find in array($stpa_atSorSalesOrder;$stpa_atSalesOrderRow{$stpa_lIndex})>0))\\n$stpa_lSelectedIndex:=$stpa_lSelectedIndex+1\\n$stpa_atRecordIdSelected{$stpa_lSelectedIndex}:=$stpa_atRecordId{$stpa_lIndex}\\nEnd if \\nEnd for \\nARRAY TEXT($stpa_atRecordIdSelected;$stpa_lSelectedIndex)\\n_qry ARRAY (stpa_kRecord_ID;->$stpa_atRecordIdSelected)\\n\\n\",\n\t\"execute\": true,\n\t\"name_en_us\": \"_exe_NotDeliveredPallets\",\n\t\"_prf_name_id\": \"_qry_exe_stpa_NotDeliveredPallets\",\n\t\"name\": \"NotDeliveredPallets\",\n\t\"table\": \"stpa\"\n}"
]